Package org.apache.solr.client.solrj.io.stream.expr

## Class StreamExpression

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.expr.StreamExpression

All Implemented Interfaces:
  `StreamExpressionParameter`

    public class StreamExpression
    extends Object
    implements StreamExpressionParameter

Expression containing a function and set of parameters

### Constructor Summary

Constructors
`StreamExpression​(String functionName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addParameter​(String parameter)`
`void` `addParameter​(StreamExpressionParameter parameter)`
`boolean` `equals​(Object other)`
`String` `getFunctionName()`
`List<StreamExpressionParameter>` `getParameters()`
`int` `hashCode()`
`void` `setFunctionName​(String functionName)`
`void` `setParameters​(List<StreamExpressionParameter> parameters)`
`String` `toString()`
`StreamExpression` `withFunctionName​(String functionName)`
`StreamExpression` `withParameter​(String parameter)`
`StreamExpression` `withParameter​(StreamExpressionParameter parameter)`
`StreamExpression` `withParameters​(List<StreamExpressionParameter> parameters)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StreamExpression

    public StreamExpression​(String functionName)

### Method Detail

#### getFunctionName

    public String getFunctionName()

#### setFunctionName

    public void setFunctionName​(String functionName)

#### withFunctionName

    public StreamExpression withFunctionName​(String functionName)

#### addParameter

    public void addParameter​(StreamExpressionParameter parameter)

#### addParameter

    public void addParameter​(String parameter)

#### withParameter

    public StreamExpression withParameter​(StreamExpressionParameter parameter)

#### withParameter

    public StreamExpression withParameter​(String parameter)

#### getParameters

    public List<StreamExpressionParameter> getParameters()

#### setParameters

    public void setParameters​(List<StreamExpressionParameter> parameters)

#### withParameters

    public StreamExpression withParameters​(List<StreamExpressionParameter> parameters)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals​(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`